import React from "react";
import { useNavigate } from "react-router-dom";
import { queryTable } from "@/utils/request";
import { ProTable } from "@ant-design/pro-components";
import { Button, message, Popconfirm } from "antd";
import { getSysOrg, deleteSysOrg } from "@/service/sysorg";

const querySysOrgList = queryTable(getSysOrg);

export default (props) => {
  const actionRef = React.useRef();
  const navigate = useNavigate();

  // const updateStatus = (user) => {
  //   const status = user.status === 1 ? 0 : 1;
  //   const hide = message.loading("请稍候...", 0);
  //   updateUserStatus(user.id, status)
  //     .then((res) => {
  //       hide();
  //       actionRef.current.reload();
  //     })
  //     .catch(() => {
  //       hide();
  //     });
  // };
  const handleDelete = (id) => {
    if (id) {
      deleteSysOrg(id).then((res) => {
        actionRef.current.reload();
      });
    }
  };

  const columns = [
    {
      title: "机构ID",
      dataIndex: "orgId",
    },
    {
      title: "机构编码",
      dataIndex: "orgCode",
    },
    {
      title: "机构名称",
      dataIndex: "name",
    },
    {
      title: "上级单位",
      dataIndex: "orgPId",
    },

    {
      title: "排序",
      dataIndex: "sortNo",
    },

    {
      title: "状态",
      dataIndex: "status",
      valueEnum: {
        1: {
          text: "正常",
          status: "Processing",
        },
        0: {
          text: "禁用",
          status: "Error",
        },
      },
    },
    {
      title: "创建人",
      dataIndex: "createUser",
    },
    {
      title: "操作",
      valueType: "option",
      width: 200,
      render: (_, record) => [
        // <Button
        //   key={1}
        //   style={{ padding: 0 }}
        //   type="link"
        //   onClick={() => {
        //     updateStatus(record);
        //   }}
        // >
        //   {record.status === 1 ? "禁用" : "启用"}
        // </Button>,
        <Button
          key={2}
          style={{ padding: 0 }}
          type="link"
          onClick={() => {
            console.log(record, "]]");
            navigate(`/system/org/edit?id=${record.orgId}`);
          }}
        >
          编辑
        </Button>,
        <Popconfirm
          key={3}
          title="您是否确认删除 ?"
          onConfirm={() => handleDelete(record.orgId)}
          okText="确定"
          cancelText="取消"
        >
          {/* manualPush */}
          <Button style={{ padding: 0 }} type="link">
            删除
          </Button>
        </Popconfirm>,
      ],
    },
  ];

  return (
    <ProTable
      actionRef={actionRef}
      rowKey="orgId"
      search={false}
      toolBarRender={() => [
        <Button
          key="1"
          type="primary"
          onClick={() => {
            navigate("/system/org/edit");
          }}
        >
          新增
        </Button>,
      ]}
      request={querySysOrgList}
      columns={columns}
    />
  );
};
